#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l;
    cin>>n>>l;
    int pos=-1;
    vector<int> v(n);
    for(int i=0;i<n;i++)cin>>v[i];
    for(int i=0;i<n;i++){
        if(v[i]<=l){
            pos=i+1;
            break;
        }
    }
    cout<<pos<<endl;

    return 0;
}